%define oldname librsvg2
%define ver_major 2.26
%def_disable static

# librsvg package is not built with gnome-vfs
# librsvg-gnome package is built with gnome-vfs
# Both would produce -utils, mozilla-plugin etc. subpackages, but we don't want
# this. Using/not-using gnome-vfs is an internal thing of librsvg, and
# shouldn't matter outside it. So we define the 'main' package (librsvg, in
# this case), which will build subpackages, and librsvg-gnome will just build a
# library and (maybe) devel files. Much like libgtk+2[-directfb] nightmare >:-D
%define main_package 1
%define bname librsvg

%def_with croco
%def_with svgz
%def_disable mozilla_plugin

# It will soon become deprecated anyway
%def_disable gnome_print

Name: %bname
Version: %ver_major.0
Release: alt2

Summary: An SVG library based on libart
License: LGPLv2+
Group: System/Libraries
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Obsoletes: %oldname < 2.15.90
Provides: %oldname = %version-%release

Conflicts: %bname-gnome

Source: ftp://ftp.gnome.org/pub/gnome/sources/%bname/%ver_major/%bname-%version.tar.bz2
Source1: %bname-2.14-librsvg.map

# From configure.in
%define fontconfig_ver 1.0.1
%define glib_ver 2.12.0
%define gio_ver 2.15.4
%define libxml2_ver 2.4.7
%define cairo_ver 1.2.0
%define pango_ver 1.10.0
%define libgsf_ver 1.6.0
%define croco_ver 0.6.1

# since 2.26.0-alt2 requires /usr/lib/rpm/gdk-pixbuf-query-loaders.filetrigger
PreReq: libgtk+2 >= 2.16.5
%{?_with_croco:PreReq: libcroco >= %croco_ver}

# From configure.in
BuildPreReq: libgtk+2-devel
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libcairo-devel >= %cairo_ver
BuildPreReq: fontconfig-devel freetype2-devel
%{?_with_svgz:BuildPreReq: libgsf-devel >= %libgsf_ver}
%{?_with_croco:BuildPreReq: libcroco-devel >= %croco_ver}
BuildPreReq: libX11-devel libXt-devel
%if_enabled mozilla_plugin
BuildPreReq: xulrunner-devel browser-plugins-npapi-devel
%endif

BuildRequires: gcc-c++ gtk-doc sgml-common zlib-devel

%description
An SVG library based on libart.

%ifdef main_package
%package devel
Summary: Libraries and include files for developing with librsvg
Group: Development/GNOME and GTK+
Obsoletes: %oldname-devel < 2.15.90
Provides: %oldname-devel = %version-%release
Requires: %bname = %version-%release
Requires: libgtk+2-devel
Requires: libxml2-devel >= %libxml2_ver
Requires: freetype2-devel
Requires: glib2-devel >= %glib_ver
Requires: libpango-devel >= %pango_ver

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%package devel-doc
Summary: Development documentation for %bname
Group: Development/GNOME and GTK+
Obsoletes: %oldname-devel-doc < 2.15.90
Provides: %oldname-devel-doc = %version-%release
Conflicts: %bname < %version-%release
BuildArch: noarch

%description devel-doc
%bname is a SVG library based on libart.
This package contains development documentation for %bname
%endif

%if_enabled static
%package devel-static
Summary: Static libraries for developing with librsvg
Group: Development/GNOME and GTK+
Obsoletes: %oldname-devel-static < 2.15.90
Provides: %oldname-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary static libraries files to allow you
to build static software with librsvg.
%endif

%ifdef main_package
%package utils
Summary: Utilities to manipulate SVG files
Group: Graphics
Obsoletes: %oldname-utils < 2.15.90
Provides: %oldname-utils = %version-%release
Requires: %bname = %version-%release

%description utils
This package contains small utilities to manipulate SVG files found in
%bname package.

%if_enabled mozilla_plugin
%package -n mozilla-plugin-svg
Summary: SVG plugin for Mozilla
Group: Graphics

%description -n mozilla-plugin-svg
This package contains SVG plugin for Mozilla web browser.
%endif

%package -n libgtk-engine-svg
Summary: A GTK+ engine for graphical themes that use SVG images.
Group: Graphical desktop/GNOME

%description -n libgtk-engine-svg
This package contains a GTK+ engine that renders graphical themes with SVG
images in them.
%endif

%define _gtk_docdir %_datadir/gtk-doc/html/
%define _mozilla_plugindir %_libdir/mozilla/plugins

%prep
%setup -q -n %bname-%version
#__install -p -m644 %SOURCE1 symver.map

%build
%configure \
	%{subst_enable static} \
	%{subst_with svgz} \
	%{subst_with croco} \
	--enable-gtk-theme \
	--enable-pixbuf-loader \
	%{?_enable_mozilla_plugin:--enable-mozilla-plugin} \
	%{?_disable_mozilla_plugin:--disable-mozilla-plugin} \
	--with-html-dir=%buildroot%_gtk_docdir/%bname \

%make_build
#LIBTOOL_EXPORT_OPTIONS=-Wl,--version-script=symver.map

%install
%makeinstall

%if_enabled mozilla_plugin
# Move the browser plugin where it ought to be.
mkdir -p %buildroot%browser_plugins_path
mv %buildroot%_libdir/mozilla/plugins/* %buildroot%browser_plugins_path/
%endif

bzip2 -9fk ChangeLog

#%%post
#%_bindir/gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%files
%_libdir/*.so.*
%_libdir/gtk-2.0/*/loaders/*.so
%doc AUTHORS ChangeLog.bz2 NEWS README TODO

%ifdef main_package
%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/%bname-2.0.pc

%files devel-doc
%_gtk_docdir/*
%else
%exclude %_gtk_docdir/*
%endif

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/gtk-2.0/*/loaders/*.a
%endif

%ifdef main_package
%files utils
%_bindir/*
%_man1dir/*
%_datadir/pixmaps/*

%if_enabled mozilla_plugin
%files -n mozilla-plugin-svg
%browser_plugins_path/*
%endif

%files -n libgtk-engine-svg
%_libdir/gtk-2.0/*/engines/libsvg.so
%else
%exclude %_bindir/*
%exclude %_man1dir/*
%exclude %_datadir/pixmaps/*
%exclude %browser_plugins_path/*
%exclude %_libdir/gtk-2.0/*/engines/libsvg.so
%endif

%exclude %_libdir/gtk-2.0/*/*/*.la
%exclude %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%changelog
* Mon Jul 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt2
- removed gdk-pixbuf-query-loaders call in %post

* Wed Mar 25 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- removed obsolete %%post{,un}_ldconfig
- drop upstreamed patch
- mozilla plugin disabled (not ready for our new xulrunner)

* Sat Sep 27 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version 2.22.3
- build devel-doc as noarch

* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version 2.22.2
- cleanup spec (remove gnome-vfs, gnomeprint)
- plug memory leaks(patch1 from RH)

* Sun Jan 07 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.1-alt2
- from now on, two librsvg packages are built, one with gnome-vfs
  (librsvg-gnome) and the other without it (librsvg).
- use xulrunner instead of seamonkey to build the browser plugin.

* Fri Jan 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.1-alt1
- new version (2.16.1)
- fixed packaging for the case when mozilla plugin is not built.
- added a subpackage for the GTK+ engine.

* Sun Sep 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version 2.16.0 (with rpmrb script)

* Wed Aug 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.90-alt2
- fixed Provides/Obsoletes pairs.

* Tue Aug 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.90-alt1
- new version (2.15.90)
- updated dependencies
- spec cleanup
- removed '2' from package name

* Thu Mar 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version (2.14.2)

* Mon Feb 13 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version
- spec cleanup, dependencies revised.

* Fri Oct 07 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.5-alt1
- new version

* Fri Sep 23 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.1-alt1
- 2.11.1
- Removed excess buildreqs.

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.5-alt1
- 2.9.5.
- development documentation moved to devel-doc subpackage.

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0
- mozilla-plugin-svg subpackage.

* Wed Mar 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Fri Mar 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt3
- do not package .la files.
- do not build devel-static subpackage by default.

* Tue Oct 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- no more gimp plugin.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt2
- rebuild for new gimp2 (1.3.18).

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt3
- disable croco support.

* Thu Jul 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- rebuild with new libgimp.
- css support via libcroco enabled.

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.5-alt1
- 2.2.5

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt2
- rebuild with new gtk-2.1.5.

* Mon Nov 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Nov 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2
- rebuild with new gtk+2.
- Run gdk-pixbuf-query-loaders in %%post.
- utils subpackage.

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Sun Jun 23 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- Adopted for AltLinux
- .a moved to %name-devel-static
- Fix *Req*

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.6

* Mon Feb 11 2002 Alex Larsson <alexl@redhat.com> 1.1.3-1
- Update to 1.1.3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new CVS snap 1.1.0.91
- remove automake/autoconf calls

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- convert to librsvg2 RPM

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Add a patch that moves the includes to librsvg-1/librsvg
- in preparation for a later librsvg 2 library.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel, #49509

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- own /usr/include/librsvg

* Wed Jul 18 2001 Akira TAGOH <tagoh@redhat.com> 1.0.0-4
- fixed the linefeed problem in multibyte environment. (Bug#49310)

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- put .la file back in package

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Put changelog at the end
- Move .so files to devel subpackage
- Don't mess with ld.so.conf
- Don't use %%{prefix}, this isn't a relocatable package
- Don't define a bad docdir
- Add BuildRequires
- Use %%{_tmppath}
- Don't define name, version etc. on top of the file (why do so many do that?)
- s/Copyright/License/

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- Put into Red Hat Build system

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
